Subject: Re: DSO/DLL Apache Using Cygwin
From: Jason Tishler <[email-masked]>
To: Hershal Li <[email-masked]>
Cc: [email-masked]
Date: Wed, 14 Mar 2001 07:27:41 -0500

Hershal,

On Tue, Mar 13, 2001 at 09:56:27AM -0800, Hershal Li wrote:
>     I am trying to compile a dll/dso version of Apache
> so that I can dynamically load some mod_*. The version
> I am using s 1.3.14. But when I was trying to generate
> 
> the libhttpd.dll, I saw the following error:
>      Cannot export _bss_end__: symbol not defined
>      Cannot export _bss_start__: symbol not defined
>      Cannot export _data_end__: symbol not defined
>      Cannot export _data_start__: symbol not defined
>      collect2: ld returned 1 exit status
> Anybody any has any idea why this is happening and how
> to get around this? I was able to create a non-dll 
> version and it works fine.
>     Thank you very much in advance. Any help is 
> greatly appreciated.

See the following:

    http://sources.redhat.com/ml/cygwin/2001-03/msg00589.html

Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: +1 (732) 264-8770 x235
Dot Hill Systems Corp.               Fax:   +1 (732) 264-8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple